(ns wanijo.user.routes
  (:require [compojure.core :refer [defroutes GET POST]]
            [ring.util.response :as resp]
            [wanijo.framework.routing :refer [register]]
            [wanijo.user.view :as view-user]
            [wanijo.user.domain :as domain]))

(register :user-profile "/user/profile")
(register :user-edit "/user/edit")

(defn profile! [req]
  (view-user/profile! req
                      (domain/find! (get-in req [:session :ident]))))

(defroutes routes
  (GET "/user/profile" [] profile!))
